# script créé le : Wed Mar 27 13:45:20 CET 2019 -   syntaxe MySQL ;

# use  VOTRE_BASE_DE_DONNEE ;

DROP TABLE IF EXISTS Etablissements ;
CREATE TABLE Etablissements (Id int AUTO_INCREMENT NOT NULL,
Nom VARCHAR(50),
Adresse VARCHAR(50),
CP INT(5),
Ville VARCHAR(30),
Description TEXT,
PRIMARY KEY (Id) ) ENGINE=InnoDB;

DROP TABLE IF EXISTS Photos ;
CREATE TABLE Photos (Idphoto int AUTO_INCREMENT NOT NULL,
place VARCHAR(50),
Id INT NOT NULL,
PRIMARY KEY (Idphoto) ) ENGINE=InnoDB;

DROP TABLE IF EXISTS Themes ;
CREATE TABLE Themes (IdTheme int AUTO_INCREMENT NOT NULL,
PRIMARY KEY (IdTheme) ) ENGINE=InnoDB;

DROP TABLE IF EXISTS AVOIR ;
CREATE TABLE AVOIR (Id int AUTO_INCREMENT NOT NULL,
IdTheme INT NOT NULL,
PRIMARY KEY (Id,
 IdTheme) ) ENGINE=InnoDB;

ALTER TABLE Photos ADD CONSTRAINT FK_Photos_Id FOREIGN KEY (Id) REFERENCES Etablissements (Id);

ALTER TABLE AVOIR ADD CONSTRAINT FK_AVOIR_Id FOREIGN KEY (Id) REFERENCES Etablissements (Id);
ALTER TABLE AVOIR ADD CONSTRAINT FK_AVOIR_IdTheme FOREIGN KEY (IdTheme) REFERENCES Themes (IdTheme);
